{% extends 'base.html' %}

{%block content%}
<main>
    <div>
        <h1>My List</h1>
    </div>
    <nav> 
        <ul>
            <li> 
                <a href= "{% url 'todo_list_create' %}"> Create a new list</a>
            </li>
        <ul>
    </nav>    

    <table>
        <thead>
            <tr>
                <th> Name </th>
            <th> Number of Tasks </th>
            </tr>
        </thead>
        <tbody>
            {% for todo in do_list %}
            
            <tr>
                <td> 
                    <a href= "{% url 'todo_list_detail' todo.pk %}">{{todo.name}}</td>
                    <td> {{ todo.items.all| length }}</td>
            {% endfor %}
            
 

            </tr>
        </tbody>
    </table>


   
  
</main>
{% endblock %}